---
title: CSSStyleDeclaration.cssText
slug: Web/API/CSSStyleDeclaration/cssText
tags:
  - API
  - CSSOM
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p><span class="seoSummary">The <code><strong>cssText</strong></code> property of the {{domxref("CSSStyleDeclaration")}} interface returns or sets the text of the element's <strong>inline</strong> style declaration only.</span> To be able to set a <strong>stylesheet</strong> rule dynamically, see <a href="/en-US/docs/DOM/Using_dynamic_styling_information" title="DOM/Using_dynamic_styling_information">Using dynamic styling information.</a></p>

<p>Not to be confused with stylesheet style-rule {{domxref("CSSRule.cssText")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: html"><code>&lt;span id="s1" style="</code>color: red;"<code>&gt;
  Some text
&lt;/span&gt;</code>

&lt;script&gt;
  var elem = document.getElementById("s1");
  alert(elem.style.cssText); // "color: red;"
&lt;/script&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-cssstyledeclaration-csstext", "CSSStyleDeclaration: cssText")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleDeclaration.cssText")}}</p>
